Exclusive eBooks, Software Solutions, Quality Guaranteed
 
Web NukeBiz
Welcome to NukeBiz · Members
Amazon
show cart or checkout0 items
Cart Value: 0.00

Forums » DragonflyCMS Projects » BizStore » Compatabilty ?
Compatabilty ?
Amazon shop, integrated Google adsense, price check, ECS4 feeds.
Topic initiation via Bugger.

Go to page 1, 2  Next
Post new topic    Reply to topic    Printer Friendly Page     Forum Index »  eCommerce » BizStore

View previous topic :: View next topic  
Author Message
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Thu Jul 10, 2008 2:51 am
Post subject: Compatabilty ?

Is Bizstore compatable with
CMS Version 9.2.1
PHP Version 5.2.6
MySQL Version 5.0.51a-log (client: 5.0.32)

I only ask because I just updated and now I get
Fatal error: Cannot use string offset as an array in /homepages/12/d91017768/htdocs/HopeToSeeYouSoon_com/modules/BizStore/browsepage.php on line 20


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jul 10, 2008 7:49 am
Post subject: Re: Compatabilty ?

hmm, line 20 is
Code::
$myhome = '<a href="'.getlink($module_name).'">'.$module_name.'</a>';
Confused


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Thu Jul 10, 2008 8:02 am
Post subject: Re: Compatabilty ?

Line 20 is showing

$theData = $theData['ItemSearchResponse'][0];


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jul 10, 2008 8:48 am
Post subject: Re: Compatabilty ?

aah, yes, that was before I added it to cvs which adds the extra lines at the top of each page.

Mine works fine on PHP 5.2.5, MySQL doesn't really come into it but it works fine under 4.1.22 and 5.0.45, apache up to 2.2.9.

I'm using an unreleased v9.2.0 but that only has a small change to the cart function.

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Thu Jan 08, 2009 1:25 am
Post subject: Re: Compatabilty ?

Well I put this off for awhile by going back to PHP 4.
Now I’m trying PHP 5 again.
CMS Version 9.2.1
PHP Version 5.2.8

And I’m getting the same error still,
Fatal error: Cannot use string offset as an array in /homepages/12/d91017768/htdocs/HopeToSeeYouSoon_com/modules/BizStore/browsepage.php on line 20

I looked for an updated version of BizStore mine is the same as the one in your downloads, and also looked in the cvs but nothing is in the cvs.

Any idea what I might try?


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jan 08, 2009 9:12 am
Post subject: Re: Compatabilty ?

I just cannot replicate the issue - I'm currenty running PHP 5.2.5, MySQL 5.0.67 and Apache 2.2.9.

FWIW I've updated the download to v9.2.0 but can't see how it will change that issue FIIK

nukebiz.com/Downloads/...ils/id=54/


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Thu Jan 08, 2009 9:51 am
Post subject: Re: Compatabilty ?

Ok I give up it still don't work with PHP 5 on my 1and1 host.
I'm back to 4.4.9 and its working fine.

Not sure if it has anything to do with it or not, in order for me to use php 5
I need to add "AddType x-mapp-php5 .php" into my .htaccess

When I make that one change it stops working.


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jan 08, 2009 9:57 am
Post subject: Re: Compatabilty ?

hmm, a different way to what I normally see on servers, usually,

AddHandler application/x-httpd-php5 .php

I guess 1and1 do it differently - they seem to make a habit of aberrations, with consequent issues for their users.

In other words, BizStore works just fine on PHP5, always has - I have tested BizStore where PHP5 is standard on the server, both hosted and local, and also where it is an option via htaccess, as above.

Just not on PHP5 the way that 1and1 chooses to implement the option - since PHP4 is no longer supported, they really should be using PHP5 on their servers, as first choice, not some ad hoc htaccess implementation.

Perhaps their htaccess implementation should be,
AddHandler x-mapp-php5 .php


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Thu Jan 08, 2009 10:23 am
Post subject: Re: Compatabilty ?

I tried
AddHandler x-mapp-php5 .php

Still get the same error it only seams to happen when selecting the sub categories

Fatal error: Cannot use string offset as an array in /homepages/12/d91017768/htdocs/HopeToSeeYouSoon_com/modules/BizStore/browsepage.php on line 25


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jan 08, 2009 10:25 am
Post subject: Re: Compatabilty ?

I can only presume their mapping is flawed or that PHP 5.2.8 has an issue or both.


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Thu Jan 08, 2009 10:38 am
Post subject: Re: Compatabilty ?

What is the page link resulting in this error?

_________________
DonationsPro for vBulletin, SMF, MyBB, DragonflyCMS


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Fri Jan 09, 2009 3:45 am
Post subject: Re: Compatabilty ?

http://www.hopetoseeyousoon.com/amazon/Apparel/browse-1045558.html


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Fri Jan 09, 2009 5:17 am
Post subject: Re: Compatabilty ?

hmm, works just fine here - I was kinda hoping it might be blank, like an empty array issue, but even that should result in a "No Data Found" comment.

On yours, naturally I just draw a blank.

As often seems to happen with Apparel data, the price data is missing anyway.


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
RickC
Manager
Manager

Offline Offline
Joined: Nov 09, 2006
Posts: 53
Location: Sharps Chapel, TN
PostPosted: Fri Jan 09, 2009 8:10 am
Post subject: Re: Compatabilty ?

It happens on all my sub categories.

Must be a change from PHP 5.2.5 that works on your site and the new 5.2.8 used by 1and1?

Maybe I will just have to stay with 4.4.9 It seams like all my current modules are working with it.


RickC's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Linux infong 2.4 /5.0.91-log (client: 5.0.92)/5.2.17/9.3.3.0
Back to top
View user's profile Visit poster's website
Phoenix
Chairman
Chairman

Offline Offline
Joined: Mar 17, 2004
Posts: 1543
Location: Netizen
PostPosted: Fri Jan 09, 2009 8:14 am
Post subject: Re: Compatabilty ?

I'm not sure it's PHP 5.2.8 - after all, you had this problem well before 5.2.8 was released i.e. 5.2.6.

I believe it's 1and1 which has a history of doing things differently to most other hosts.

Are you running hosted, virtual or dedicated?


Phoenix's server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS)
Back to top
View user's profile Visit poster's website ICQ Number Yahoo Messenger Photo Gallery
Display posts from previous:   
Post new topic    Reply to topic    Printer Friendly Page    Forum Index »  eCommerce » BizStore
Page 1 of 2
All times are GMT + 9.5 Hours
Go to page 1, 2  Next



Jump to:  


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum